
Packaging - Bug #35789

Tracker # 36116 (New): Translation effort

Compile plugin .mo files during package build

11/24/2022 04:45 PM - Ewoud Kohl van Wijngaarden

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Today Foreman has the .mo files in its .gitignore and runs make -C locale all-mo. This means no binary files are stored in git, which

is great.

However, for plugins this isn't done and they are stored in git. This is wrong, and should be cleaned up.

Related issues:

Blocked by Foreman - Feature #36117: Provide a rake task to compile .mo files... New

History

#1 - 02/16/2023 01:45 PM - Ewoud Kohl van Wijngaarden

- Target version deleted (3.6.0)

- Parent task set to #36116

#2 - 02/16/2023 02:09 PM - Ewoud Kohl van Wijngaarden

- Blocked by Feature #36117: Provide a rake task to compile .mo files from .po in a generic way added
